<b>A propos du Login et de l'Enregistrement</b><br/>
<a href="#L1">Pourquoi s'enregistrer ?</a><br/>
<a href="#L2">Comment s'enregistrer ?</a><br/>
<a href="#L3">Puis-je masquer mon E-mail ?</a><br/>
<a href="#L4">J'ai perdu mon mot de passe !</a><br/>
<a href="#L5">Je m'&eacute;tais enregistr&eacute;, mais je ne peux plus me connecter !</a><br/>
<a href="#L6">Pourquoi ne puis-je pas me connecter ?</a><br/>
<br/>
<b>Pr&eacute;f&eacute;rences et param&egrave;tres utilisateur</b><br/>
<a href="#S1">Comment puis-je changer mon profile ?</a><br/>
<a href="#S2">Comment puis-je ajouter une image &agrave; mon nom (avatar) ?</a><br/>
<a href="#S3">Comment puis-je changer mon rang ?</a><br/>
<a href="#S4">Je ne peux pas cliquer sur l'e-mail d'un utilisateur</a><br/>
<br/>
<b>A propos de l'&eacute;criture des messages</b><br/>
<a href="#P1">Comment puis-je poster un sujet dans une section ?</a><br/>
<a href="#P2">Comment puis-je &eacute;diter ou effacer un message ?</a><br/>
<a href="#P3">Comment puis-je ajouter ma signature aux messages ?</a><br/>
<a href="#P4">Pourquoi ne puis-je pas acc&eacute;der &agrave; une section ?</a><br/>
<a href="#P5">Quels sections me sont accessibles ?</a><br/>
<br/>
<b>Les formats et les types de sujet</b><br/>
<a href="#F1">Qu'est-ce que le BBCode ?</a><br/>
<a href="#F2">Puis-je mettre du HTML ?</a><br/>
<a href="#F3">Que sont les &eacute;moticones (smileys) ?</a><br/>
<a href="#F4">Puis-je poseter des images ?</a><br/>
<a href="#F5">Qu'est-ce que sont les news ?</a><br/>
<a href="#F6">Qu'est-ce qu'un sujet ferm&eacute; ?</a><br/>
<br/>
<b>Niveaux d'utilisateur</b><br/>
<a href="#U1">Qui sont les Administrateurs ?</a><br/>
<a href="#U2">Qui sont les Moderateurs ?</a><br/>
<br/>
<br/>
<a id="L1"></a><b>Pourquoi s'enregistrer ?</b><br/>
Il se peut que vous ne deviez pas. C'est &agrave; l'administrateur de syst&egrave;me de d&eacute;cider si il faut s'enregistrer pour pouvoir lire les messages, faire des recherche ou poster des messages. S'enregistrer ne prend que quelques minutes, donc n'h&eacute;sitez pas le faire.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="L2"></a><b>Comment s'enregistrer ?</b><br/>
Vous trouverez la charte d'utilisation sur la page d'enregistrement. Lisez-la avec attention. Si vous acceptez les termes et conditions, vous serez invit&eacute; &agrave; choisir un nom d'utilisateur. En fonction des options de s&eacute;curit&eacute; choisi par l'administrateur, vous pourrez directement choisir un mot de passe OU indiquer une adresse e-mail (un mot de passe temporaire vous sera alors envoy&eacute;). Vous devrez &eacute;galement ins&eacute;rer un code de contr&ocirc;le. Si le nom d'utilisateur est d&eacute;j&agrave; pris par un autre membre, vous devrez en choisir un autre.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="L3"></a><b>Puis-je masquer mon E-mail ?</b><br/>
Dans votre Profil, vous trouverez une option de confidentialit&eacute; qui vous permet de masquer votre e-mail pour les visiteurs ou pour tous les membres.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="L4"></a><b>J'ai perdu mon mot de passe !</b><br/>
Pas de panique ! Bien que votre les mots de passe soient irr&eacute;cup&eacute;rables, ils peuvent cependant &ecirc;tre r&eacute;initialis&eacutes;. Suivez les instructions et vous aurez rapidement &agrave; nouveau acc&egrave;s au site. 
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="L5"></a><b>Je m'&eacute;tais enregistr&eacute;, mais je ne peux plus me connecter !</b><br/>
Les raisons les plus probable est que vous avez introduit un nom d'utilisateur ou un mot de passe incorrecte (contr&ocirc;lez les avec le premier mail que vous avez re&ccedil;u lors de votre enregistrement) ou bien encore, l'administrateur a enlev&eacute; votre acompte pour l'une ou l'autre raison. Il se peut aussi que vous n'ayez jamais laiss&eacute; de message... Il est de pratique courante d'effacer r&eacute;guli&egrave;rement les acomptes non utilis&eacute;s pour des raisons techniques et de s&eacute;curit&eacute;. N'h&eacute;sitez pas &agrave; vous inscrire &agrave; nouveau pour participer aux discussions.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="L6"></a><b>Pourquoi ne puis-je pas me connecter ?</b><br/>
Vous &ecirc;tes-vous enregistr&eacute; ? En effet, il est n&eacute;cessaire de s'enregistrer avant de pouvoir se connecter. Avez vous &eacute;t&eacute; banni du syst&egrave;me ? (Un message vous en avertira si c'est le cas). Dans une telle situation, prenez contact avec le webmaster ou l'administrateur pour savoir pourquoi. Si vous &ecirc;tes bien enregistr&eacute; et que cependant vous ne pouvez pas vous connecter, alors contr&ocirc;lez &agrave; nouveau votre nom d'utilisateur et votre mot de passe. C'est g&eacute;n&eacute;ralement la cause du probl&egrave;me. En dernier recours, contactez l'administrateur du syst&egrave;me.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="S1"></a><b>Comment puis-je changer mon profil ?</b><br/>
Si vous &ecirc;tes enregistr&eacute;, votre profil est conserv&eacute; dans la base de donn&eacute;e. Pour le modifier, cliquez sur Profil dans le menu (ou sur votre nom dans n'importe quelle liste). Ceci vous permettra de modifier toutes vos donn&eacute;es personnelles.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="S2"></a><b>Comment puis-je ajouter une image &agrave; mon nom (avatar) ?</b><br/>
Une image peut &ecirc;tre associ&eacute;e &agrave; votre nom lorsque vous visualisez les messages. Cette image peut &ecirc;tre votre photo ou un avatar. Il est du ressort de l'administrateur du syst&egrave;me d'autoriser les photos (ou avatars). Si vous ne pouvez pas ajouter votre photo depuis la page Profil, c'est que l'administrateur a bloqu&eacute; cette possibilit&eacute; certainement pour de bonne raison...
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="S3"></a><b>Comment puis-je changer mon rang ?</b><br/>
Vous ne pouvez pas changer votre rang (le rang est affich&eacute; &agrave; c&ocirc;t&eacute; de votre nom dans la liste des membres ou sous votre nom dans les pages des messages). Ce syst&egrave;me utilise le rang pour d&eacute;finir certains r&ocirc;les. Par exemple, les membres du staff et administrateurs ont des privil&egrave;ges sp&eacute;cifiques. Seul l'administrateur peut changer un membre en membre du staff. Un membres du staff a le droit de fermer/re-ouvrir un sujet et de d&eacute;placer un sujet qui serait dans la mauvaise section. Il peut &eacute;galement modifier le contenu du message. Un administrateur peut &eacute;galement faire ces actions (et bien plus).
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="S4"></a><b>Je ne peux pas cliquer sur l'e-mail d'un utilisateur</b><br/>
En effet, les utilisateurs peuvent emp&ecirc;cher les visiteurs (et m&ecirc;me les membres) de voir leur adresse. Vous pouvez &eacute;galement prot&eacute;ger votre adresse e-mail dans la page Profil.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="P1"></a><b>Comment puis-je poster un sujet dans une section ?</b><br/>
Simplement en cliquant sur le bouton au dessus de la liste des sujets. Il vous faut &ecirc;tre un membre enregistr&eacute; avant de pouvoir poster des messages.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="P2"></a><b>Comment puis-je &eacute;diter ou effacer un message ?</b><br/>
A moins d'&ecirc;tre administrateur ou membre du staff, vous ne pouvez modifier ou effacer que vos propres messages. Vous pouvez modifier votre message en cliquant sur le bouton Editer affich&eacute; en bas du message. Si quelqu'un avait d&eacute;j&agrave; r&eacute;pondu &agrave; votre message, une indication de date de modification s'affiche sous le message modifi&eacute;. Il est possible qu'un membre du staff modifie votre message. Dans ce cas, il devrait laisser un message expliquant ce qu'il a modifi&eacute; et pourquoi. Veuillez noter qu'un utilisateur normal ne pourra pas effacer un sujet si un membre a d&eacute;j&agrave; post&eacute; une r&eacute;ponse.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="P3"></a><b>Comment puis-je ajouter ma signature aux messages ?</b><br/>
Pour ajouter votre signature &agrave; tous vos messages, il vous faut d'abord la cr&eacute;er.  Ceci se fait via votre page Profil. Lorsque votre signature est cr&eacute;&eacute;e, elle appara&icirc;t dans vos messages. Pour masquer votre signature, vous devez simplement la changer en un texte vide dans votre profil.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="P4"></a><b>Pourquoi ne puis-je pas acc&eacute;der aux sections ou aux sujets ?</b><br/>
L'administrateur peut d&eacute;cider de ne pas rendre public les sections. Dans ce cas, seuls les membres enregistr&eacute;s auront le droit de voir les sections et les messages. Dans d'autre cas, les visiteurs non-enregistr&eacute;s peuvent voir les sections et les tickets, mais pas les r&eacute;ponses.
Il en va de m&ecirc;me pour l'outil de recherche ou la liste des membres. Il appartient &agrave; l'administrateur du syst&egrave;me de d&eacute;cider quelles parties sont accessibles aux visteurs non-enregistr&eacute;s.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="P5"></a><b>Quels sections me sont accessibles ?</b><br/>
Un utilisateur normal a acc&egrave;s &agrave; deux types de section. Les sections publiques et les sections priv&eacute;es. Le troisi&egrave;me type de section n'est visible que pour les membres du staff et les administrateurs. Dans une section priv&eacute;e, chaque utilisateur ne voit que les tickets qu'il a lui-m&ecirc;me cr&eacute;&eacute;s tandis que dans une section publique, chaque utilisateur peut voir tous les tickets et leurs r&eacute;ponses. Notons qu'il est possible qu'une section soit ferm&eacute;e. Cela signifie qu'il reste accessible, mais que les utilisateurs ne peuvent plus y poster de nouveaux tickets.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="F1"></a><b>Qu'est-ce que le BBCode ?</b><br/>
BBCode est une impl&eacute;mentation sp&eacute;cifique du HTML pour les applications web. L'acc&egrave;s &agrave; cette fonctionnalit&eacute; est d&eacute;termin&eacute; par l'administrateur. Le code BBC est similaire aux balises html mais utilise [ et ] plut&ocirc;t que &lt; et &gt;. Ceci permet de mieux contr&ocirc;ler la fa&ccedil;on dont le message doit appara&icirc;tre.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="F2"></a><b>Puis-je mettre du HTML ?</b><br/>
Oui. Pour des raisons de lisibilit&eacute;, il est recommand&eacute; de l'entour&eacute; avec les deux balises BBC [code] et [/code].
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="F3"></a><b>Que sont les &eacute;motic&ocirc;nes (smileys) ?</b><br/>
Les &eacute;motic&ocirc;nes (ou smileys), sont des petits symboles qui expriment une &eacute;motion. Vous pouvez ajouter ces ic&ocirc;nes &agrave; vos sujets et dans vos r&eacute;ponses depuis le formulaire d'&eacute;criture des messages.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="F4"></a><b>Puis-je poster des images ?</b><br/>
Des images, ainsi que d'autres types de documents, peuvent &ecirc;tre ajout&eacute;es dans vos messages. La taille maximale et le type des documents attach&eacute;s est d&eacute;fini par l'administrateur. Quand cela est autoris&eacute;, vous pouvez faire afficher l'image dans votre texte avec le BBCode [img]@[/img].
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="F5"></a><b>Qu'est-ce que sont les news ?</b><br/>
Les News (annonces) contiennent g&eacute;n&eacute;ralement des informations importantes. Lisez-les d&egrave;s que possible. Ces news sont indiqu&eacute;es avec une ic&ocirc;ne sp&eacute;ciale et sont g&eacute;n&eacute;ralement affich&eacute;es en haut de la liste des sujets. Seuls les administrateurs et membres du staff peuvent publier des news.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="F6"></a><b>Qu'est-ce qu'un sujet ferm&eacute; ?</b><br/>
Un sujet ferm&eacute; (ou cl&ocirc;tur&eacute;) est un sujet qui ne peut plus recevoir de message de r&eacute;ponse. Un sujet peut &ecirc;tre ferm&eacute; par son cr&eacute;ateur (ou par un membre du staff) pour diverses raisons.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="U1"></a><b>Qui sont les Administrateurs ?</b><br/>
Les administrateurs sont des membres ayant le plus haut niveau de contr&ocirc;le dans le syst&egrave;me. Ces personnes peuvent g&eacute;rer toutes les op&eacute;rations ainsi que les param&egrave;tres de fonctionnement du syst&egrave;me (style, permission, niveaux d'acc&egrave;s, s&eacute;curit&eacute;, bannissement, cr&eacute;ation des membres du staff, etc.). Ils ont &eacute;galement tous les droits dans les sections.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>

<a id="U2"></a><b>Qui sont les Mod&eacute;rateurs ?</b><br/>
Les mod&eacute;rateurs sont des membres du staff dont le r&ocirc;le est d'assurer le bon fonctionnement d'une section au jour le jour. Comme les membres du staff, ils ont le droit d'&eacute;diter ou d'effacer des messages, de fermer ou r&eacute;-ouvrir des sujets ou encore de d&eacute;placer les sujets qui seraient dans la mauvaise section. En g&eacute;n&eacute;ral, les mod&eacute;rateurs sont l&agrave; pour &eacute;viter que les messages ne d&eacute;rivent sur des discussions hors sujets, sur des messages offensants  ou ne respectant pas le r&egrave;glement du site.
<br/>
<a href="#top" class="small">Retour au d&eacute;but</a><br/><br/>